org.apache.felix.framework

## Class BundleProtectionDomain

- java.lang.Object
- - java.security.ProtectionDomain
  - - org.apache.felix.framework.BundleProtectionDomain

    public class BundleProtectionDomain
    extends ProtectionDomain

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`int` `hashCode()`
`boolean` `implies(Permission permission)`
`boolean` `impliesDirect(Permission permission)`
`String` `toString()`

### Methods inherited from class java.security.ProtectionDomain

`getClassLoader, getCodeSource, getPermissions, getPrincipals`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### implies

    public boolean implies(Permission permission)

Overrides:
  `implies` in class `ProtectionDomain`

#### impliesDirect

    public boolean impliesDirect(Permission permission)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `ProtectionDomain`